local mod = ...



-- Building Asset Processor -------------------------------------------------------------------------------------
mod:registerAssetProcessor("models/Alert1.fbx", { DataType = "BUILDING_ASSET_PROCESSOR" })



-- Prefabs -------------------------------------------------------------------------------------
mod:registerAssetId("models/Alert1.fbx/Prefab/Alert.Part", "PREFAB_FIRE_ALERT")



-- Building Function: Alert -------------------------------------------------------------------------------------
-- Used to track alerts with the Resource toolbar
mod:registerAsset({
    DataType = "BUILDING_FUNCTION_RESOURCE_GENERATOR",
    Id = "BUILDING_FUNCTION_FIRE_ALERT",
	Name = "BUILDING_FIRE_NAME",
	ResourceGenerated = "RESOURCE_ALERT",
	IsForConsumer = false,
	IsInfinite = false,
})



-- Component: Fire Alert -------------------------------------------------------------------------------------
local COMP_FIRE_ALERT = {
	TypeName = "COMP_FIRE_ALERT",
	ParentType = "COMPONENT",
	Properties = {
		{ Name = "Timer", Type = "integer", Default = 4, Flags = { "SAVE_GAME" } },
    }
}

-- Register Component
mod:registerClass(COMP_FIRE_ALERT)


-- Attach component
mod:registerPrefabComponent("PREFAB_FIRE_ALERT", { DataType = "COMP_FIRE_ALERT" } )

